#
# spec file for package python-construct
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-construct
Version:        2.8.12
Release:        lp152.3.4
Summary:        A declarative parser/builder for binary data
License:        MIT
Group:          Development/Languages/Python
Url:            http://construct.readthedocs.org
Source:         https://files.pythonhosted.org/packages/source/c/construct/construct-%{version}.tar.gz
# PATCH-FEATURE-OPENSUSE split_debug.patch matwey.kornilov@gmail.com -- make debug.py non-loadable
Patch0:         split_debug.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Construct is a declarative parser (and builder) for binary data.

Instead of writing imperative code to parse a piece of data, a data
structure that describes the data is declared. As this data structure is not
code, it can be used in one direction to parse data into Pythonic objects, 
and in the other direction to convert ("build") objects into binary data.

%prep
%setup -q -n construct-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/construct
%{python_sitelib}/construct-%{version}-py%{python_version}.egg-info

%changelog
* Sat Aug 26 2017 jengelh@inai.de
- Rewrite description for more neutrality.
* Thu Aug 24 2017 tbechtold@suse.com
- update to 2.8.12:
  * README and docs updated
  * Version uped to 2.8.12
  * Union: fixed buildfrom (bug #348)
  * Docs updated: API reference
  * Prefixed instead of Array (#349)
* Sat May  6 2017 matwey.kornilov@gmail.com
- Recover split_debug.patch to fix rpmlint
* Sat Apr 22 2017 aloisio@gmx.com
- Update to 2.8.11
- Converted to single-spec
- Set proper source URL
- Refreshed split_debug.patch
* Thu Jan 26 2017 matwey.kornilov@gmail.com
- correct download url
* Wed Jan 18 2017 matwey.kornilov@gmail.com
- Version 2.8.10:
  - no changelog available
* Mon Oct 10 2016 dmueller@suse.com
- correct download url
* Sat Oct  1 2016 matwey.kornilov@gmail.com
- Version 2.5.5:
  - Many minor fixups
* Sat May  3 2014 matwey.kornilov@gmail.com
- Version 2.5.2:
  - Misc minor fixes in docs
* Mon Jul  8 2013 matwey.kornilov@gmail.com
- Version 2.5.1:
  - Misc fixes for python 3
  - Misc fixes in documentation
  - Allow the Pointer to relocate relative to EOF
* Wed May  8 2013 matwey.kornilov@gmail.com
- Add split_debug.patch: reason why do we want to do so is to use
  python-construct in embedded applications like rpmlint-mini
* Tue Apr 30 2013 speilicke@suse.com
- Package LICENSE and README.rst
* Mon Apr 29 2013 matwey.kornilov@gmail.com
- Initial version
